# Arbiter kernel: ManualFilter
## `prefix`
### <a name='prefix.resize'></a>`prefix.resize`
Type
: STRING

Access mode
: RECONFIGURABLE

Assignment
: OPTIONAL

Description
: If number of frames doesn't match the length of the specified filter, what to do? If 'Error', the kernel will just fail (resulting in all true for the arbiter). If True or False, will expand manual filter with the corresponding value (shrinking if manual filter is too big).

Options:
: ``True``, ``False``, ``Error``

Default value
: ``False``

### <a name='prefix.spec'></a>`prefix.spec`
Type
: STRING

Access mode
: RECONFIGURABLE

Assignment
: OPTIONAL

Description
: String specifying the manual mask to apply. See 'type' for details.

Default value
: empty string

### <a name='prefix.type'></a>`prefix.type`
Type
: STRING

Access mode
: RECONFIGURABLE

Assignment
: OPTIONAL

Description
: How to specify the manual filter. 'range' means parse and pass the spec to np.arange (so should be between 1 and 3 comma-separated integers specifying [start], stop, [step]). 'mask' means comma-separated list of 0 and 1 (zero means don't include, 1 means include). 'indices' means comma-separated list of indices (these will be included, anything else will not be).

Options:
: ``range``, ``mask``, ``indices``

Default value
: ``mask``
