See also: [Karabo Bridge](https://rtd.xfel.eu/docs/data-analysis-user-documentation/en/latest/software/karabo-bridge/) documentation.

## EXtra-foam

[EXtra-foam documentation](https://extra-foam.readthedocs.io/en/latest/index.html)

When connecting to bridge output of [group matchers](devices/matchers.md#group-matcher) or [full matcher](devices/matchers.md#full-matcher), the source type must be set to "run directory".
This is due to the way a [TrainMatcher](devices/trainmatcher.md#overview) forwards sources individually (similar to how data is stored in runs later).

## OnDA

It is possible to send full detector data (with appropriate [throttling](data-rates.md)) via a [full matcher](devices/matchers.md#full-matcher) to OnDA.
As OnDA expects stacked data, one needs to set up [stacking](output-formats.md#stacking) on the full matcher.
