# Arbiter kernel: BooleanCombination
## `prefix`
This kernel allows combining individual masks from many sources. It is intended for cases where, for example, each correction device via some addon provides its own frame mask. This arbiter kernel would then be able to AND (keep only frames making it through all masks) or OR these individual masks.
### <a name='prefix.key'></a>`prefix.key`
Type
: STRING

Access mode
: RECONFIGURABLE

Assignment
: OPTIONAL

Default value
: ``data.dataFramePattern``

### <a name='prefix.operator'></a>`prefix.operator`
Type
: STRING

Access mode
: RECONFIGURABLE

Assignment
: OPTIONAL

Options:
: ``all``, ``any``

Default value
: ``all``
